Subject: Re: bug#23574: 24.5; Overzealous underlining in emacs-nox

From: Noam Postavsky <[email-masked]>
Date: Sun, 5 Jun 2016 13:05:53 -0400

On Sun, Jun 5, 2016 at 11:54 AM, Eli Zaretskii <[email-masked]> wrote:
> We always try to make the empty space
> after the end of a screen line have the same face as the last
> character of that line.

Just to clarify, "last character of that line" refers to the newline
character or the one before it?

> While it should be
> possible to have GUI frames display underline all the way to window
> edge, no one has ever requested that, so we didn't bother.

I think this would have been useful for magit to simplify the use of
overlays to display the region with horizontal lines. In
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21468#43 you suggested a
way using :align-to which turned out to have a bunch of complications
and magit ended up not using it (see
https://github.com/magit/magit/pull/2293).